/**
 * @desc 操作列
 * @author 邓欢
 */
/// <reference types="react" />
/** 操作模型 */
export interface OperationModel {
    /** 操作文本 */
    operationText: string | ((data: any) => string);
    /** 点击回调函数 */
    operationFunc: (data: any, callback?: () => void) => void;
    /** 控制操作按钮是否禁用 */
    isEnable?: Function;
    /** 展示文案loading，需通过operationFunc的回调去取消loading */
    hasLoadingNode?: boolean;
    /** 隐藏该项 */
    hidden?: (data: any) => boolean;
}
export interface OpereationColProps {
    /** 接收aggrid render接口的其它属性 */
    [x: string]: any;
    /** 操作项列表 */
    operation: Array<OperationModel>;
    /** 行数据源 */
    data: any;
}
export default function OperationCol(props: OpereationColProps): JSX.Element;
