/**
 * @desc 备注cell
 * @author 周克文
 */
import React from 'react';
import classNames from 'classnames';
import styled from 'styled-components';
const StyledDiv = styled.div `
  display: flex;
  flex-direction: column;
  justify-content: center;

  height: 100%;

  line-height: 1;

  .helper-wrapper {
    transform: scale(0.9);
    transform-origin: right;
    color: ${({ theme }) => theme.text.tertiary};
    font-size: 12px;
  }
`;
export default function RemarkCell(props) {
    const { content, remark, colDef, node, valueFormatted } = props;
    const isStatisticalItem = node && node.rowPinned;
    return !isStatisticalItem ? (React.createElement(StyledDiv, { className: classNames(colDef ? colDef.cellClass : ''), role: "gridcell", unselectable: "on" },
        content,
        remark && React.createElement("div", null, remark))) : (valueFormatted || null);
}
