/**
 * @desc 表格默认配置
 * @author 邓欢
 */
import { EmptyTableOverlay, LoadingOverlay } from './components';
declare const TableDefaultConfig: {
    /** 行高，默认40 */
    rowHeight: number;
    /** 当 行选择（rowSelection）和 范围选择 时，快捷方式将复制选定的行，而不是选定的范围，此项配置范围优先 */
    suppressCopyRowsToClipboard: boolean;
    /** 禁止表格内容菜单，默认禁止 */
    suppressContextMenu: boolean;
    /** 侧边栏菜单，默认为空 */
    sideBar: undefined;
    /** 框架组件 */
    frameworkComponents: {
        customLoadingOverlay: typeof LoadingOverlay;
        customNoRowsOverlay: typeof EmptyTableOverlay;
    };
    /** 无数据遮层 */
    noRowsOverlayComponent: string;
    /** 加载中遮层 */
    loadingOverlayComponent: string;
    /** 加载态展示信息 */
    loadingOverlayComponentParams: {
        loadingMessage: string;
    };
    /** 空状态展示信息 */
    noRowsOverlayComponentParams: {
        noRowsMessage: string;
    };
    /** 列默认配置 */
    defaultColDef: {
        /** 调整列宽 */
        resizable: boolean;
        /** 显示未排序Icon */
        unSortIcon: boolean;
        /** 最小宽度 */
        minWidth: number;
        /** 宽度 */
        width: number;
        /** 允许拖动 */
        lockPinned: boolean;
        /** 默认允许排序 */
        sortable: boolean;
    };
};
export default TableDefaultConfig;
