/**
 * @desc 表格默认配置
 * @author 邓欢
 */
import { EmptyTableOverlay, LoadingOverlay } from './components';
const TableDefaultConfig = {
    /** 行高，默认40 */
    rowHeight: 40,
    /** 当 行选择（rowSelection）和 范围选择 时，快捷方式将复制选定的行，而不是选定的范围，此项配置范围优先 */
    suppressCopyRowsToClipboard: true,
    /** 禁止表格内容菜单，默认禁止 */
    suppressContextMenu: true,
    /** 侧边栏菜单，默认为空 */
    sideBar: undefined,
    /** 框架组件 */
    frameworkComponents: {
        customLoadingOverlay: LoadingOverlay,
        customNoRowsOverlay: EmptyTableOverlay,
    },
    /** 无数据遮层 */
    noRowsOverlayComponent: 'customNoRowsOverlay',
    /** 加载中遮层 */
    loadingOverlayComponent: 'customLoadingOverlay',
    /** 加载态展示信息 */
    loadingOverlayComponentParams: { loadingMessage: '加载中...' },
    /** 空状态展示信息 */
    noRowsOverlayComponentParams: { noRowsMessage: '暂无数据' },
    /** 列默认配置 */
    defaultColDef: {
        /** 调整列宽 */
        resizable: true,
        /** 显示未排序Icon */
        unSortIcon: false,
        /** 最小宽度 */
        minWidth: 50,
        /** 宽度 */
        width: 100,
        /** 允许拖动 */
        lockPinned: true,
        /** 默认允许排序 */
        sortable: true,
    },
};
export default TableDefaultConfig;
