/**
 * @desc 进度条组件
 * @author denghuan
 */
import React from 'react';
import { Progress as AntProgress } from 'antd';
import classNames from 'classnames';
import { withTheme } from 'styled-components';
export function Progress(props) {
    const { labelDirection = 'horizontal', className, status = 'normal', size = 'default', type = 'line', strokeWidth = type === 'circle' ? 6 : size === 'small' ? 1.5 : 6, width = type === 'circle' ? 80 : undefined, theme, trailColor = theme.input.disabled.bg, strokeColor = type === 'circle'
        ? theme.main
        : size === 'small'
            ? theme.text.tertiary
            : theme.main, ...others } = props;
    return (React.createElement(AntProgress, { className: classNames(className, type === 'line' && `ant-progress-${labelDirection}`), status: status, size: size, type: type, strokeWidth: strokeWidth, width: width, trailColor: trailColor, strokeColor: strokeColor, ...others }));
}
export default withTheme(Progress);
