import { createGlobalStyle, css } from 'styled-components';
const stepsStyle = css `
  .ant-steps {
    .ant-steps-item {
      &.ant-steps-item-finish,
      &.ant-steps-item-process {
        .ant-steps-item-title {
          color: ${({ theme }) => theme.text.primary};
        }

        .ant-steps-item-description {
          color: ${({ theme }) => theme.text.secondary};
        }
      }

      &.ant-steps-item-finish {
        .ant-steps-item-tail:after,
        .ant-steps-item-title:after {
          background-color: ${({ theme }) => theme.main};
        }
      }

      &.ant-steps-item-process {
        .ant-steps-item-tail:after,
        .ant-steps-item-title:after {
          background-color: ${({ theme }) => theme.text.tertiary};
        }
      }

      &.ant-steps-item-wait {
        .ant-steps-item-title,
        .ant-steps-item-description {
          color: ${({ theme }) => theme.text.tertiary};
        }
      }

      .ant-steps-item-title::after {
        top: 14px;
        height: 2px;
      }

      .ant-steps-item-tail::after {
        border-radius: 0;
      }
    }

    &:not(.ant-steps-small, .ant-steps-dot) {
      .ant-steps-item-icon {
        font-size: 20px;
        width: 30px;
        height: 30px;
        line-height: 30px;
      }

      .ant-steps-item-tail {
        top: 10px;

        &:after {
          height: 2px;
        }
      }
    }

    &:not(.ant-steps-dot) .ant-steps-item {
      &.ant-steps-item-finish,
      &.ant-steps-item-wait {
        .ant-steps-item-icon {
          background-color: transparent;
        }
      }

      &.ant-steps-item-wait .ant-steps-item-icon {
        .ant-steps-icon {
          color: ${({ theme }) => theme.text.tertiary};
        }
        border-color: ${({ theme }) => theme.text.tertiary};
      }

      &.ant-steps-item-process .ant-steps-item-icon {
        background-color: ${({ theme }) => theme.main};
        border-color: transparent;
      }

      &.ant-steps-item-finish .ant-steps-item-icon {
        .ant-steps-icon {
          color: ${({ theme }) => theme.main};
        }
        border-color: ${({ theme }) => theme.main};
      }
    }

    &.ant-steps-small .ant-steps-item-icon {
      font-size: 16px;
      width: 24px;
      height: 24px;
      line-height: 24px;
    }

    &.ant-steps-dot {
      .ant-steps-item .ant-steps-item-icon {
        width: 10px;
        height: 10px;
      }

      .ant-steps-item-wait .ant-steps-item-icon .ant-steps-icon-dot {
        background-color: ${({ theme }) => theme.text.tertiary};
      }

      .ant-steps-item-tail:after {
        height: 1px;
      }
    }

    &.ant-steps-label-vertical .ant-steps-item-tail {
      padding-left: 14.5px;
      padding-right: 14.5px;
    }

    &.ant-steps-small .ant-steps-item-tail {
      padding-left: 12px;
      padding-right: 12px;
    }

    &.ant-steps-dot .ant-steps-item-tail {
      padding-left: 0;
      padding-right: 0;
    }

    &.ant-steps-horizontal:not(.ant-steps-label-vertical) .ant-steps-item {
      margin-right: 8px;
    }
  }

  .ant-steps-item-title {
    padding-right: 8px;
  }
`;
const StepsStyle = createGlobalStyle `${stepsStyle}`;
export default StepsStyle;
