import { createGlobalStyle, css } from 'styled-components';
const notificationStyle = css `
  .ant-notification {
    width: 320px;

    .ant-notification-notice {
      background-color: ${({ theme }) => theme.select.dropdown};
      border-top-left-radius: 0px;
      border-top-right-radius: 0px;
      border-top: 2px solid;
      padding: 20px;
      border-color: ${({ theme }) => theme.text.secondary};

      .ant-notification-notice-message {
        color: ${({ theme }) => theme.text.primary};
        font-size: 12px;
        line-height: 16px;

        & .title {
          font-size: 14px;
          line-height: 20px;
          margin-bottom: 4px;
        }
      }

      .ant-notification-notice-description {
        color: ${({ theme }) => theme.text.secondary};
        font-size: 12px;
        line-height: 18px;
      }

      .ant-notification-notice-close .anticon-close.ant-notification-close-icon {
        color: ${({ theme }) => theme.text.secondary};
      }

      &.ant-notification-notice-info {
        border-color: ${({ theme }) => theme.main};

        .ant-notification-notice-message .title {
          color: ${({ theme }) => theme.main};
        }
      }

      &.ant-notification-notice-warning {
        border-color: ${({ theme }) => theme.warning};

        .ant-notification-notice-message .title {
          color: ${({ theme }) => theme.warning};
        }
      }

      &.ant-notification-notice-error {
        border-color: ${({ theme }) => theme.danger};

        .ant-notification-notice-message .title {
          color: ${({ theme }) => theme.danger};
        }
      }

      &.ant-notification-notice-success {
        border-color: ${({ theme }) => theme.success};

        .ant-notification-notice-message .title {
          color: ${({ theme }) => theme.success};
        }
      }
    }
  }
`;
const NotificationStyle = createGlobalStyle `${notificationStyle}`;
export default NotificationStyle;
