"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const inputStyle = styled_components_1.css `
  .ant-input:not(.ant-input-affix-wrapper .ant-input),
  .ant-input-affix-wrapper {
    color: ${({ theme }) => theme.text.primary};
    border-color: ${({ theme }) => theme.input.border};
    background-color: ${({ theme }) => theme.input.bg};

    // Input or inner input
    input {
      background-color: ${({ theme }) => theme.input.bg};
      font-size: 14px;
      color: ${({ theme }) => theme.text.primary};

      &::placeholder {
        color: ${({ theme }) => theme.input.placeholder};
        font-size: 14px;
      }
    }

    &::placeholder {
      color: ${({ theme }) => theme.input.placeholder};
    }

    &,
    &:focus {
      box-shadow: none;
    }

    &:hover,
    &:active,
    &:focus {
      border-color: ${({ theme }) => theme.main};
    }

    &[disabled],
    &.ant-input-affix-wrapper-disabled,
    &.ant-input-group-wrapper .ant-input-disabeld {
      background-color: ${({ theme }) => theme.input.disabled.bg};
      border-color: ${({ theme }) => theme.input.disabled.bg};
      color: ${({ theme }) => theme.text.secondary};

      .ant-input-suffix {
        display: none;
      }

      &,
      & input {
        &::placeholder {
          color: ${({ theme }) => theme.input.disabled.placeholder};
        }
      }
      &::placeholder {
        color: ${({ theme }) => theme.input.disabled.placeholder};
      }
    }

    .ant-input-suffix,
    .ant-input-prefix {
      color: ${({ theme }) => theme.text.secondary};
    }
  }

  .ant-input-group {
    background-color: ${({ theme }) => theme.input.bg};
    border-radius: 2px;

    && .ant-input {
      border: 1px solid;
      border-color: ${({ theme }) => theme.input.border};
      padding-left: 16px;
    }

    && .ant-input-group-addon {
      border-color: ${({ theme }) => theme.input.border};
      color: ${({ theme }) => theme.text.secondary};
      background-color: ${({ theme }) => theme.input.bg};
      overflow: hidden;
    }

    &:hover {
      .ant-input {
        border-color: ${({ theme }) => theme.main};
      }
    }

    .ant-select-selector.ant-select-selector {
      border: none;
    }
  }
`;
const InputStyle = styled_components_1.createGlobalStyle `${inputStyle}`;
exports.default = InputStyle;
