"use strict";
/**
 * @desc 备注cell
 * @author 周克文
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const classnames_1 = __importDefault(require("classnames"));
const styled_components_1 = __importDefault(require("styled-components"));
const StyledDiv = styled_components_1.default.div `
  display: flex;
  flex-direction: column;
  justify-content: center;

  height: 100%;

  line-height: 1;

  .helper-wrapper {
    transform: scale(0.9);
    transform-origin: right;
    color: ${({ theme }) => theme.text.tertiary};
    font-size: 12px;
  }
`;
function RemarkCell(props) {
    const { content, remark, colDef, node, valueFormatted } = props;
    const isStatisticalItem = node && node.rowPinned;
    return !isStatisticalItem ? (react_1.default.createElement(StyledDiv, { className: classnames_1.default(colDef ? colDef.cellClass : ''), role: "gridcell", unselectable: "on" },
        content,
        remark && react_1.default.createElement("div", null, remark))) : (valueFormatted || null);
}
exports.default = RemarkCell;
