/**
 * @desc 表格辅助方法
 * @author 邓欢
 */
import { ColDef, ColGroupDef } from './models/ag-grid-model';
import { ColumnDef } from './models/column';
import JXTableOptions from './models/table-options';
/**
 * 组装表格属性
 * @params props 表格属性
 *
 */
export declare function assemblyTableProps(props: JXTableOptions): {
    defaultColDef: {
        colId?: string | undefined;
        sort?: string | null | undefined;
        initialSort?: string | undefined;
        sortIndex?: number | null | undefined;
        initialSortIndex?: number | undefined;
        sortedAt?: number | undefined;
        sortingOrder?: (string | null)[] | undefined;
        field?: string | undefined;
        type?: string | string[] | undefined;
        hide?: boolean | undefined;
        initialHide?: boolean | undefined;
        pinned?: string | boolean | null | undefined;
        initialPinned?: string | boolean | undefined;
        tooltipField?: string | undefined;
        tooltipValueGetter?: ((params: import("ag-grid-community").ITooltipParams) => string) | undefined;
        valueGetter?: string | ((params: import("ag-grid-community").ValueGetterParams) => any) | undefined;
        filterValueGetter?: string | ((params: import("ag-grid-community").ValueGetterParams) => any) | undefined;
        valueSetter?: string | ((params: import("ag-grid-community").ValueSetterParams) => boolean) | undefined;
        keyCreator?: ((value: any) => string) | undefined;
        width?: number | undefined;
        initialWidth?: number | undefined;
        minWidth?: number | undefined;
        maxWidth?: number | undefined;
        flex?: number | undefined;
        initialFlex?: number | undefined;
        autoHeight?: boolean | undefined;
        wrapText?: boolean | undefined;
        cellClass?: string | string[] | ((cellClassParams: import("ag-grid-community/dist/lib/entities/colDef").CellClassParams) => string | string[]) | undefined;
        cellStyle?: {} | ((params: any) => {}) | undefined;
        cellRenderer?: string | import("ag-grid-community").ICellRendererFunc | (new () => import("ag-grid-community").ICellRendererComp) | undefined;
        cellRendererFramework?: any;
        cellRendererParams?: any;
        cellRendererSelector?: ((params: import("ag-grid-community").ICellRendererParams) => import("ag-grid-community/dist/lib/components/framework/userComponentFactory").ComponentSelectorResult) | undefined;
        cellEditor?: string | (new () => import("ag-grid-community").ICellEditorComp) | undefined;
        cellEditorFramework?: any;
        cellEditorParams?: any;
        cellEditorSelector?: ((params: import("ag-grid-community").ICellEditorParams) => import("ag-grid-community/dist/lib/components/framework/userComponentFactory").ComponentSelectorResult) | undefined;
        pinnedRowCellRenderer?: string | import("ag-grid-community").ICellRendererFunc | (new () => import("ag-grid-community").ICellRendererComp) | undefined;
        pinnedRowCellRendererFramework?: any;
        pinnedRowCellRendererParams?: any;
        valueFormatter?: string | ((params: import("ag-grid-community").ValueFormatterParams) => string) | undefined;
        pinnedRowValueFormatter?: string | ((params: import("ag-grid-community").ValueFormatterParams) => string) | undefined;
        valueParser?: string | ((params: import("ag-grid-community").ValueParserParams) => any) | undefined;
        aggFunc?: string | import("ag-grid-community").IAggFunc | null | undefined;
        initialAggFunc?: string | import("ag-grid-community").IAggFunc | undefined;
        allowedAggFuncs?: string[] | undefined;
        rowGroupIndex?: number | null | undefined;
        rowGroup?: boolean | undefined;
        initialRowGroupIndex?: number | undefined;
        initialRowGroup?: boolean | undefined;
        showRowGroup?: string | boolean | undefined;
        pivotIndex?: number | null | undefined;
        pivot?: boolean | undefined;
        initialPivotIndex?: number | undefined;
        initialPivot?: boolean | undefined;
        comparator?: ((valueA: any, valueB: any, nodeA: import("ag-grid-community").RowNode, nodeB: import("ag-grid-community").RowNode, isInverted: boolean) => number) | undefined;
        equals?: ((valueA: any, valueB: any) => boolean) | undefined;
        pivotComparator?: ((valueA: string, valueB: string) => number) | undefined;
        checkboxSelection?: boolean | ((params: import("ag-grid-community").CheckboxSelectionCallbackParams) => boolean) | undefined;
        headerCheckboxSelection?: boolean | ((params: any) => boolean) | undefined;
        headerCheckboxSelectionFilteredOnly?: boolean | undefined;
        rowDrag?: boolean | ((params: import("ag-grid-community").RowDragCallbackParams) => boolean) | undefined;
        rowDragText?: ((params: import("ag-grid-community").IRowDragItem, dragItemCount: number) => string) | undefined;
        dndSource?: boolean | ((params: import("ag-grid-community").DndSourceCallbackParams) => boolean) | undefined;
        dndSourceOnRowDrag?: ((params: {
            rowNode: import("ag-grid-community").RowNode;
            dragEvent: DragEvent;
        }) => void) | undefined;
        suppressMenu?: boolean | undefined;
        menuTabs?: string[] | undefined;
        sortable: boolean | undefined;
        suppressMovable?: boolean | undefined;
        suppressCellFlash?: boolean | undefined;
        lockPosition?: boolean | undefined;
        lockVisible?: boolean | undefined;
        lockPinned?: boolean | undefined;
        unSortIcon?: boolean | undefined;
        suppressSizeToFit?: boolean | undefined;
        resizable: boolean | undefined;
        suppressAutoSize?: boolean | undefined;
        suppressKeyboardEvent?: ((params: import("ag-grid-community").SuppressKeyboardEventParams) => boolean) | undefined;
        enableRowGroup?: boolean | undefined;
        enablePivot?: boolean | undefined;
        enableValue?: boolean | undefined;
        editable?: boolean | ((params: import("ag-grid-community").EditableCallbackParams) => boolean) | undefined;
        colSpan?: ((params: import("ag-grid-community").ColSpanParams) => number) | undefined;
        rowSpan?: ((params: import("ag-grid-community").RowSpanParams) => number) | undefined;
        suppressPaste?: boolean | ((params: import("ag-grid-community").SuppressPasteCallbackParams) => boolean) | undefined;
        suppressNavigable?: boolean | ((params: import("ag-grid-community").SuppressNavigableCallbackParams) => boolean) | undefined;
        getQuickFilterText?: ((params: import("ag-grid-community").GetQuickFilterTextParams) => string) | undefined;
        newValueHandler?: ((params: any) => boolean) | undefined;
        singleClickEdit?: boolean | undefined;
        template?: string | undefined;
        templateUrl?: string | undefined;
        cellClassRules?: {
            [cssClassName: string]: string | Function;
        } | undefined;
        onCellValueChanged?: Function | undefined;
        onCellClicked?: ((event: import("ag-grid-community/dist/lib/events").CellClickedEvent) => void) | undefined;
        onCellDoubleClicked?: ((event: import("ag-grid-community").CellDoubleClickedEvent) => void) | undefined;
        onCellContextMenu?: ((event: import("ag-grid-community").CellContextMenuEvent) => void) | undefined;
        icons?: {
            [key: string]: string;
        } | undefined;
        enableCellChangeFlash?: boolean | undefined;
        pivotValueColumn?: import("ag-grid-community").Column | null | undefined;
        pivotTotalColumnIds?: string[] | undefined;
        headerComponent?: string | (new () => any) | undefined;
        headerComponentFramework?: any;
        headerComponentParams?: any;
        floatingFilter?: boolean | undefined;
        refData?: {
            [key: string]: string;
        } | undefined;
        chartDataType?: "time" | "category" | "series" | "excluded" | undefined;
        columnsMenuParams?: import("ag-grid-community/dist/lib/entities/colDef").ColumnsMenuParams | undefined;
        headerName?: string | undefined;
        columnGroupShow?: string | undefined;
        headerClass?: string | string[] | ((params: any) => string | string[]) | undefined;
        toolPanelClass?: string | string[] | ((params: any) => string | string[]) | undefined;
        headerValueGetter?: string | Function | undefined;
        pivotKeys?: string[] | undefined;
        suppressColumnsToolPanel?: boolean | undefined;
        suppressFiltersToolPanel?: boolean | undefined;
        headerTooltip?: string | undefined;
        tooltipComponent?: string | (new () => import("ag-grid-community").ITooltipComp) | undefined;
        tooltipComponentFramework?: any;
        tooltipComponentParams?: any;
        suppressHeaderKeyboardEvent?: ((params: import("ag-grid-community").SuppressHeaderKeyboardEventParams) => boolean) | undefined;
        filter?: (string | boolean | (new () => import("ag-grid-community").IFilterComp)) | undefined;
        filterFramework?: any;
        filterParams?: any;
        floatingFilterComponent?: string | (new () => import("ag-grid-community").IFloatingFilterComp) | undefined;
        floatingFilterComponentParams?: any;
        floatingFilterComponentFramework?: any;
    };
    columnDefs: ColumnDef[];
    /** 加载蒙层传参 */
    loadingOverlayComponentParams: {
        isLoading: boolean | undefined;
    };
    suppressBrowserResizeObserver?: boolean | undefined;
    rowDragManaged?: boolean | undefined;
    suppressRowDrag?: boolean | undefined;
    suppressMoveWhenRowDragging?: boolean | undefined;
    enableMultiRowDragging?: boolean | undefined;
    ensureDomOrder?: boolean | undefined;
    suppressAggFilteredOnly?: boolean | undefined;
    showOpenedGroup?: boolean | undefined;
    deltaRowDataMode?: boolean | undefined;
    deltaColumnMode?: boolean | undefined;
    applyColumnDefOrder?: boolean | undefined;
    immutableData?: boolean | undefined;
    immutableColumns?: boolean | undefined;
    scrollbarWidth?: number | undefined;
    suppressRowClickSelection?: boolean | undefined;
    suppressRowHoverHighlight?: boolean | undefined;
    suppressCellSelection?: boolean | undefined;
    suppressClearOnFillReduction?: boolean | undefined;
    suppressMaintainUnsortedOrder?: boolean | undefined;
    sortingOrder?: (string | null)[] | undefined;
    suppressMultiSort?: boolean | undefined;
    multiSortKey?: string | undefined;
    accentedSort?: boolean | undefined;
    deltaSort?: boolean | undefined;
    suppressHorizontalScroll?: boolean | undefined;
    alwaysShowHorizontalScroll?: boolean | undefined;
    alwaysShowVerticalScroll?: boolean | undefined;
    debounceVerticalScrollbar?: boolean | undefined;
    unSortIcon?: boolean | undefined;
    rowBuffer?: number | undefined;
    tooltipShowDelay?: number | undefined;
    tooltipMouseTrack?: boolean | undefined;
    enableRtl?: boolean | undefined;
    enableBrowserTooltips?: boolean | undefined;
    colResizeDefault?: string | undefined;
    enableCellExpressions?: boolean | undefined;
    enableCellTextSelection?: boolean | undefined;
    enableGroupEdit?: boolean | undefined;
    enterMovesDownAfterEdit?: boolean | undefined;
    enterMovesDown?: boolean | undefined;
    suppressMiddleClickScrolls?: boolean | undefined;
    preventDefaultOnContextMenu?: boolean | undefined;
    suppressPreventDefaultOnMouseWheel?: boolean | undefined;
    suppressScrollOnNewData?: boolean | undefined;
    suppressMenuHide?: boolean | undefined;
    singleClickEdit?: boolean | undefined;
    suppressClickEdit?: boolean | undefined;
    tabIndex?: number | undefined;
    suppressKeyboardEvent?: ((params: import("ag-grid-community").SuppressKeyboardEventParams) => boolean) | undefined;
    stopEditingWhenGridLosesFocus?: boolean | undefined;
    stopEditingWhenCellsLoseFocus?: boolean | undefined;
    debug?: boolean | undefined;
    icons?: any;
    angularCompileRows?: boolean | undefined;
    angularCompileFilters?: boolean | undefined;
    suppressLoadingOverlay?: boolean | undefined;
    suppressNoRowsOverlay?: boolean | undefined;
    suppressAutoSize?: boolean | undefined;
    autoSizePadding?: number | undefined;
    skipHeaderOnAutoSize?: boolean | undefined;
    animateRows?: boolean | undefined;
    suppressColumnMoveAnimation?: boolean | undefined;
    suppressMovableColumns?: boolean | undefined;
    suppressDragLeaveHidesColumns?: boolean | undefined;
    suppressMakeColumnVisibleAfterUnGroup?: boolean | undefined;
    suppressParentsInRowNodes?: boolean | undefined;
    suppressFieldDotNotation?: boolean | undefined;
    suppressCopyRowsToClipboard: boolean;
    copyHeadersToClipboard?: boolean | undefined;
    clipboardDeliminator?: string | undefined;
    suppressClipboardPaste?: boolean | undefined;
    suppressClipboardApi?: boolean | undefined;
    suppressLastEmptyLineOnPaste?: boolean | undefined;
    suppressAggFuncInHeader?: boolean | undefined;
    suppressAggAtRootLevel?: boolean | undefined;
    suppressFocusAfterRefresh?: boolean | undefined;
    rowModelType?: string | undefined;
    pivotMode?: boolean | undefined;
    pivotColumnGroupTotals?: string | undefined;
    pivotRowTotals?: string | undefined;
    suppressExpandablePivotGroups?: boolean | undefined;
    suppressEnterpriseResetOnNewColumns?: boolean | undefined;
    enableRangeSelection?: boolean | undefined;
    enableRangeHandle?: boolean | undefined;
    enableFillHandle?: boolean | undefined;
    fillHandleDirection?: string | undefined;
    suppressMultiRangeSelection?: boolean | undefined;
    rowGroupPanelShow?: string | undefined;
    pivotPanelShow?: string | undefined;
    suppressContextMenu: boolean;
    allowContextMenuWithControlKey?: boolean | undefined;
    rememberGroupStateWhenNewData?: boolean | undefined;
    suppressModelUpdateAfterUpdateTransaction?: boolean | undefined;
    viewportRowModelPageSize?: number | undefined;
    viewportRowModelBufferSize?: number | undefined;
    enableCellChangeFlash?: boolean | undefined;
    cellFlashDelay?: number | undefined;
    cellFadeDelay?: number | undefined;
    allowShowChangeAfterFilter?: boolean | undefined;
    quickFilterText?: string | undefined;
    cacheQuickFilter?: boolean | undefined;
    aggFuncs?: {
        [key: string]: import("ag-grid-community").IAggFunc;
    } | undefined;
    suppressColumnVirtualisation?: boolean | undefined;
    functionsReadOnly?: boolean | undefined;
    functionsPassive?: boolean | undefined;
    maxConcurrentDatasourceRequests?: number | undefined;
    maxBlocksInCache?: number | undefined;
    purgeClosedRowNodes?: boolean | undefined;
    domLayout?: string | undefined;
    suppressChangeDetection?: boolean | undefined;
    aggregateOnlyChangedColumns?: boolean | undefined;
    valueCache?: boolean | undefined;
    valueCacheNeverExpires?: boolean | undefined;
    batchUpdateWaitMillis?: number | undefined;
    asyncTransactionWaitMillis?: number | undefined;
    suppressRowTransform?: boolean | undefined;
    suppressSetColumnStateEvents?: boolean | undefined;
    suppressColumnStateEvents?: boolean | undefined;
    allowDragFromColumnsToolPanel?: boolean | undefined;
    suppressMaxRenderedRowRestriction?: boolean | undefined;
    excludeChildrenWhenTreeDataFiltering?: boolean | undefined;
    undoRedoCellEditing?: boolean | undefined;
    undoRedoCellEditingLimit?: number | undefined;
    cacheOverflowSize?: number | undefined;
    infiniteInitialRowCount?: number | undefined;
    paginationPageSize?: number | undefined;
    cacheBlockSize?: number | undefined;
    blockLoadDebounceMillis?: number | undefined;
    paginationAutoPageSize?: boolean | undefined;
    suppressPaginationPanel?: boolean | undefined;
    pagination?: boolean | undefined;
    paginateChildRows?: boolean | undefined;
    editType?: string | undefined;
    suppressTouch?: boolean | undefined;
    suppressAsyncEvents?: boolean | undefined;
    embedFullWidthRows?: boolean | undefined;
    deprecatedEmbedFullWidthRows?: boolean | undefined;
    excelStyles?: import("ag-grid-community").ExcelStyle[] | undefined;
    floatingFilter?: boolean | undefined;
    suppressExcelExport?: boolean | undefined;
    suppressCsvExport?: boolean | undefined;
    colWidth?: number | undefined;
    minColWidth?: number | undefined;
    maxColWidth?: number | undefined;
    suppressPropertyNamesCheck?: boolean | undefined;
    serverSideSortingAlwaysResets?: boolean | undefined;
    serverSideFilteringAlwaysResets?: boolean | undefined;
    serverSideStoreType?: import("ag-grid-community").ServerSideStoreType | undefined;
    getServerSideStoreParams?: ((params: import("ag-grid-community").GetServerSideStoreParamsParams) => import("ag-grid-community").ServerSideStoreParams) | undefined;
    isServerSideGroupOpenByDefault?: ((params: import("ag-grid-community").IsServerSideGroupOpenByDefaultParams) => boolean) | undefined;
    isGroupOpenByDefault?: ((params: import("ag-grid-community").IsGroupOpenByDefaultParams) => boolean) | undefined;
    statusBar?: {
        statusPanels: import("ag-grid-community").StatusPanelDef[];
    } | undefined;
    localeText?: any;
    localeTextFunc?: ((key: string, defaultValue: string) => string) | undefined;
    suppressAnimationFrame?: boolean | undefined;
    defaultColGroupDef?: ColGroupDef | undefined;
    defaultExportParams?: import("ag-grid-community").CsvExportParams | import("ag-grid-community").ExcelExportParams | undefined;
    defaultCsvExportParams?: import("ag-grid-community").CsvExportParams | undefined;
    defaultExcelExportParams?: import("ag-grid-community").ExcelExportParams | undefined;
    pivotSuppressAutoColumn?: boolean | undefined;
    groupSuppressAutoColumn?: boolean | undefined;
    groupSelectsChildren?: boolean | undefined;
    groupSelectsFiltered?: boolean | undefined;
    groupIncludeFooter?: boolean | undefined;
    groupIncludeTotalFooter?: boolean | undefined;
    groupUseEntireRow?: boolean | undefined;
    groupRemoveSingleChildren?: boolean | undefined;
    groupRemoveLowestSingleChildren?: boolean | undefined;
    groupHideOpenParents?: boolean | undefined;
    groupMultiAutoColumn?: boolean | undefined;
    groupSuppressBlankHeader?: boolean | undefined;
    autoGroupColumnDef?: ColDef | undefined;
    enableOldSetFilterModel?: boolean | undefined;
    enableCharts?: boolean | undefined;
    context?: any;
    rowStyle?: any;
    rowClass?: string | string[] | undefined;
    groupDefaultExpanded?: number | undefined;
    alignedGrids?: import("ag-grid-community/dist/lib/entities/gridOptions").GridOptions[] | undefined;
    rowSelection?: string | undefined;
    suppressRowDeselection?: boolean | undefined;
    rowDeselection?: boolean | undefined;
    rowMultiSelectWithClick?: boolean | undefined;
    isRowSelectable?: import("ag-grid-community").IsRowSelectable | undefined;
    overlayLoadingTemplate?: string | undefined;
    overlayNoRowsTemplate?: string | undefined;
    rowHeight: number;
    detailRowHeight?: number | undefined;
    popupParent?: HTMLElement | undefined;
    masterDetail?: boolean | undefined;
    keepDetailRows?: boolean | undefined;
    keepDetailRowsCount?: number | undefined;
    isRowMaster?: import("ag-grid-community").IsRowMaster | undefined;
    detailCellRenderer?: string | (new () => import("ag-grid-community").ICellRendererComp) | import("ag-grid-community").ICellRendererFunc | undefined;
    detailCellRendererFramework?: any;
    detailCellRendererParams?: any;
    detailRowAutoHeight?: boolean | undefined;
    rowData?: any[] | undefined;
    pinnedTopRowData?: any[] | undefined;
    pinnedBottomRowData?: any[] | undefined;
    sideBar: string | boolean | import("ag-grid-community").SideBarDef | null | undefined;
    columnTypes?: {
        [key: string]: ColDef;
    } | undefined;
    datasource?: import("ag-grid-community").IDatasource | undefined;
    viewportDatasource?: import("ag-grid-community").IViewportDatasource | undefined;
    serverSideDatasource?: import("ag-grid-community").IServerSideDatasource | undefined;
    headerHeight?: number | undefined;
    pivotHeaderHeight?: number | undefined;
    groupHeaderHeight?: number | undefined;
    pivotGroupHeaderHeight?: number | undefined;
    floatingFiltersHeight?: number | undefined;
    paginationNumberFormatter?: ((params: import("ag-grid-community/dist/lib/entities/gridOptions").PaginationNumberFormatterParams) => string) | undefined;
    postProcessPopup?: ((params: import("ag-grid-community").PostProcessPopupParams) => void) | undefined;
    frameworkComponents: any;
    components?: {
        [p: string]: import("ag-grid-community/dist/lib/components/framework/userComponentRegistry").AgGridRegisteredComponentInput<import("ag-grid-community").IComponent<any>>;
    } | undefined;
    groupRowRenderer?: string | import("ag-grid-community").ICellRendererFunc | (new () => import("ag-grid-community").ICellRendererComp) | undefined;
    groupRowRendererFramework?: any;
    groupRowRendererParams?: any;
    groupRowInnerRenderer?: string | import("ag-grid-community").ICellRendererFunc | (new () => import("ag-grid-community").ICellRendererComp) | undefined;
    groupRowInnerRendererFramework?: any;
    createChartContainer?: ((params: import("ag-grid-community").ChartRef) => void) | undefined;
    fillOperation?: ((params: import("ag-grid-community/dist/lib/entities/gridOptions").FillOperationParams) => any) | undefined;
    isExternalFilterPresent?: (() => boolean) | undefined;
    doesExternalFilterPass?: ((node: import("ag-grid-community").RowNode) => boolean) | undefined;
    getRowStyle?: Function | undefined;
    getRowClass?: ((params: any) => string | string[]) | undefined;
    rowClassRules?: {
        [cssClassName: string]: string | ((params: any) => boolean);
    } | undefined;
    getRowHeight?: Function | undefined;
    sendToClipboard?: ((params: any) => void) | undefined;
    processDataFromClipboard?: ((params: import("ag-grid-community").ProcessDataFromClipboardParams) => string[][] | null) | undefined;
    navigateToNextHeader?: ((params: import("ag-grid-community").NavigateToNextHeaderParams) => import("ag-grid-community").HeaderPosition) | undefined;
    tabToNextHeader?: ((params: import("ag-grid-community").TabToNextHeaderParams) => import("ag-grid-community").HeaderPosition) | undefined;
    navigateToNextCell?: ((params: import("ag-grid-community").NavigateToNextCellParams) => import("ag-grid-community").CellPosition) | undefined;
    tabToNextCell?: ((params: import("ag-grid-community").TabToNextCellParams) => import("ag-grid-community").CellPosition) | undefined;
    getDocument?: (() => Document) | undefined;
    defaultGroupSortComparator?: ((nodeA: import("ag-grid-community").RowNode, nodeB: import("ag-grid-community").RowNode) => number) | undefined;
    loadingCellRenderer?: string | (new () => import("ag-grid-community").ICellRenderer) | undefined;
    loadingCellRendererFramework?: any;
    loadingCellRendererParams?: any;
    loadingOverlayComponent: string | (new () => import("ag-grid-community").ILoadingOverlayComp);
    loadingOverlayComponentFramework?: any;
    noRowsOverlayComponent: string | (new () => import("ag-grid-community").INoRowsOverlayComp);
    noRowsOverlayComponentFramework?: any;
    noRowsOverlayComponentParams: any;
    fullWidthCellRenderer?: string | import("ag-grid-community").ICellRendererFunc | (new () => import("ag-grid-community").ICellRendererComp) | undefined;
    fullWidthCellRendererFramework?: any;
    fullWidthCellRendererParams?: any;
    isFullWidthCell?: ((rowNode: import("ag-grid-community").RowNode) => boolean) | undefined;
    groupRowAggNodes?: ((nodes: import("ag-grid-community").RowNode[]) => any) | undefined;
    getBusinessKeyForNode?: ((node: import("ag-grid-community").RowNode) => string) | undefined;
    getDataPath?: import("ag-grid-community").GetDataPath | undefined;
    treeData?: boolean | undefined;
    isServerSideGroup?: import("ag-grid-community/dist/lib/entities/gridOptions").IsServerSideGroup | undefined;
    isApplyServerSideTransaction?: import("ag-grid-community").IsApplyServerSideTransaction | undefined;
    getServerSideGroupKey?: import("ag-grid-community/dist/lib/entities/gridOptions").GetServerSideGroupKey | undefined;
    getContextMenuItems?: import("ag-grid-community").GetContextMenuItems | undefined;
    getMainMenuItems?: import("ag-grid-community").GetMainMenuItems | undefined;
    getChartToolbarItems?: import("ag-grid-community/dist/lib/entities/gridOptions").GetChartToolbarItems | undefined;
    getRowNodeId?: import("ag-grid-community").GetRowNodeIdFunc | undefined;
    getChildCount?: ((dataItem: any) => number) | undefined;
    processRowPostCreate?: ((params: import("ag-grid-community").ProcessRowParams) => void) | undefined;
    processCellForClipboard?: ((params: import("ag-grid-community").ProcessCellForExportParams) => any) | undefined;
    processHeaderForClipboard?: ((params: import("ag-grid-community").ProcessHeaderForExportParams) => any) | undefined;
    processCellFromClipboard?: ((params: import("ag-grid-community").ProcessCellForExportParams) => any) | undefined;
    processSecondaryColDef?: ((colDef: ColDef) => void) | undefined;
    processSecondaryColGroupDef?: ((colGroupDef: ColGroupDef) => void) | undefined;
    postSort?: ((nodes: import("ag-grid-community").RowNode[]) => void) | undefined;
    chartThemes?: string[] | undefined;
    customChartThemes?: {
        [name: string]: import("ag-grid-community").AgChartTheme;
    } | undefined;
    chartThemeOverrides?: import("ag-grid-community").AgChartThemeOverrides | undefined;
    processChartOptions?: ((params: import("ag-grid-community").ProcessChartOptionsParams) => import("ag-grid-community").ChartOptions<any>) | undefined;
    onColumnEverythingChanged?: ((event: import("ag-grid-community").ColumnEverythingChangedEvent) => void) | undefined;
    onToolPanelVisibleChanged?: ((event: import("ag-grid-community").ToolPanelVisibleChangedEvent) => void) | undefined;
    onNewColumnsLoaded?: ((event: import("ag-grid-community").NewColumnsLoadedEvent) => void) | undefined;
    onColumnPivotModeChanged?: ((event: import("ag-grid-community").ColumnPivotModeChangedEvent) => void) | undefined;
    onColumnRowGroupChanged?: ((event: import("ag-grid-community").ColumnRowGroupChangedEvent) => void) | undefined;
    onColumnPivotChanged?: ((event: import("ag-grid-community").ColumnPivotChangedEvent) => void) | undefined;
    onGridColumnsChanged?: ((event: import("ag-grid-community").GridColumnsChangedEvent) => void) | undefined;
    onColumnValueChanged?: ((event: import("ag-grid-community").ColumnValueChangedEvent) => void) | undefined;
    onColumnMoved?: ((event: import("ag-grid-community").ColumnMovedEvent) => void) | undefined;
    onColumnVisible?: ((event: import("ag-grid-community").ColumnVisibleEvent) => void) | undefined;
    onColumnPinned?: ((event: import("ag-grid-community").ColumnPinnedEvent) => void) | undefined;
    onColumnGroupOpened?: ((event: import("ag-grid-community").ColumnGroupOpenedEvent) => void) | undefined;
    onColumnResized?: ((event: import("ag-grid-community").ColumnResizedEvent) => void) | undefined;
    onDisplayedColumnsChanged?: ((event: import("ag-grid-community").DisplayedColumnsChangedEvent) => void) | undefined;
    onVirtualColumnsChanged?: ((event: import("ag-grid-community").VirtualColumnsChangedEvent) => void) | undefined;
    onRowGroupOpened?: ((event: import("ag-grid-community").RowGroupOpenedEvent) => void) | undefined;
    onRowDataChanged?: ((event: import("ag-grid-community").RowDataChangedEvent) => void) | undefined;
    onRowDataUpdated?: ((event: import("ag-grid-community").RowDataUpdatedEvent) => void) | undefined;
    onPinnedRowDataChanged?: ((event: import("ag-grid-community").PinnedRowDataChangedEvent) => void) | undefined;
    onRangeSelectionChanged?: ((event: import("ag-grid-community").RangeSelectionChangedEvent) => void) | undefined;
    onColumnRowGroupChangeRequest?: ((event: import("ag-grid-community").ColumnRowGroupChangeRequestEvent) => void) | undefined;
    onColumnPivotChangeRequest?: ((event: import("ag-grid-community").ColumnPivotChangeRequestEvent) => void) | undefined;
    onColumnValueChangeRequest?: ((event: import("ag-grid-community").ColumnValueChangeRequestEvent) => void) | undefined;
    onColumnAggFuncChangeRequest?: ((event: import("ag-grid-community").ColumnAggFuncChangeRequestEvent) => void) | undefined;
    onModelUpdated?: ((event: import("ag-grid-community").ModelUpdatedEvent) => void) | undefined;
    onCellKeyDown?: ((event: import("ag-grid-community").CellKeyDownEvent) => void) | undefined;
    onCellKeyPress?: ((event: import("ag-grid-community").CellKeyPressEvent) => void) | undefined;
    onCellClicked?: ((event: import("ag-grid-community/dist/lib/events").CellClickedEvent) => void) | undefined;
    onCellMouseDown?: ((event: import("ag-grid-community").CellMouseDownEvent) => void) | undefined;
    onCellDoubleClicked?: ((event: import("ag-grid-community").CellDoubleClickedEvent) => void) | undefined;
    onCellContextMenu?: ((event: import("ag-grid-community").CellContextMenuEvent) => void) | undefined;
    onCellValueChanged?: ((event: import("ag-grid-community").CellValueChangedEvent) => void) | undefined;
    onCellMouseOver?: ((event: import("ag-grid-community").CellMouseOverEvent) => void) | undefined;
    onCellMouseOut?: ((event: import("ag-grid-community").CellMouseOutEvent) => void) | undefined;
    onRowValueChanged?: ((event: import("ag-grid-community").RowValueChangedEvent) => void) | undefined;
    onRowEditingStarted?: ((event: import("ag-grid-community").RowEditingStartedEvent) => void) | undefined;
    onRowEditingStopped?: ((event: import("ag-grid-community").RowEditingStoppedEvent) => void) | undefined;
    onCellEditingStarted?: ((event: import("ag-grid-community").CellEditingStartedEvent) => void) | undefined;
    onCellEditingStopped?: ((event: import("ag-grid-community").CellEditingStoppedEvent) => void) | undefined;
    onCellFocused?: ((event: import("ag-grid-community").CellFocusedEvent) => void) | undefined;
    onRowSelected?: ((event: import("ag-grid-community").RowSelectedEvent) => void) | undefined;
    onSelectionChanged?: ((event: import("ag-grid-community").SelectionChangedEvent) => void) | undefined;
    onFilterChanged?: ((event: import("ag-grid-community").FilterChangedEvent) => void) | undefined;
    onFilterModified?: ((event: import("ag-grid-community").FilterModifiedEvent) => void) | undefined;
    onSortChanged?: ((event: import("ag-grid-community/dist/lib/events").SortChangedEvent) => void) | undefined;
    onVirtualRowRemoved?: ((event: import("ag-grid-community").VirtualRowRemovedEvent) => void) | undefined;
    onRowClicked?: ((event: import("ag-grid-community/dist/lib/events").RowClickedEvent) => void) | undefined;
    onRowDoubleClicked?: ((event: import("ag-grid-community").RowDoubleClickedEvent) => void) | undefined;
    onGridReady?: ((event: import("ag-grid-community").GridReadyEvent) => void) | undefined;
    onViewportChanged?: ((event: import("ag-grid-community").ViewportChangedEvent) => void) | undefined;
    onDragStarted?: ((event: import("ag-grid-community").DragStartedEvent) => void) | undefined;
    onDragStopped?: ((event: import("ag-grid-community").DragStoppedEvent) => void) | undefined;
    onPaginationChanged?: ((event: import("ag-grid-community").PaginationChangedEvent) => void) | undefined;
    onRowDragEnter?: ((event: import("ag-grid-community").RowDragEvent) => void) | undefined;
    onRowDragMove?: ((event: import("ag-grid-community").RowDragEvent) => void) | undefined;
    onRowDragLeave?: ((event: import("ag-grid-community").RowDragEvent) => void) | undefined;
    onRowDragEnd?: ((event: import("ag-grid-community").RowDragEvent) => void) | undefined;
    onPasteStart?: ((event: import("ag-grid-community").PasteStartEvent) => void) | undefined;
    onPasteEnd?: ((event: import("ag-grid-community").PasteEndEvent) => void) | undefined;
    onFillStart?: ((event: import("ag-grid-community").FillStartEvent) => void) | undefined;
    onFillEnd?: ((event: import("ag-grid-community").FillEndEvent) => void) | undefined;
    onBodyScroll?: ((event: import("ag-grid-community").BodyScrollEvent) => void) | undefined;
    onFirstDataRendered?: ((event: import("ag-grid-community").FirstDataRenderedEvent) => void) | undefined;
    onExpandOrCollapseAll?: ((event: import("ag-grid-community").ExpandCollapseAllEvent) => void) | undefined;
    onChartCreated?: ((event: import("ag-grid-community").ChartCreated) => void) | undefined;
    onChartRangeSelectionChanged?: ((event: import("ag-grid-community").ChartRangeSelectionChanged) => void) | undefined;
    onChartOptionsChanged?: ((event: import("ag-grid-community").ChartOptionsChanged) => void) | undefined;
    onChartDestroyed?: ((event: import("ag-grid-community").ChartDestroyed) => void) | undefined;
    onComponentStateChanged?: ((event: import("ag-grid-community").ComponentStateChangedEvent) => void) | undefined;
    onAsyncTransactionsFlushed?: ((event: import("ag-grid-community").AsyncTransactionsFlushed) => void) | undefined;
    onGridSizeChanged?: ((event: any) => void) | undefined;
    api?: import("ag-grid-community/dist/lib/gridApi").GridApi | null | undefined;
    columnApi?: import("ag-grid-community").ColumnApi | null | undefined;
};
