/**
 * @desc 币种
 * @author 高炼
 */
/**
 * ID名称对象模型
 */
export interface IDName {
    id: string | number;
    name: string;
    /** 扩展属性 */
    [x: string]: any;
}
export declare enum CurrencyCode {
    /** 人民币 */
    CNY = "CNY",
    /** 美元 */
    USD = "USD",
    /** 欧元 */
    EUR = "EUR",
    /** 澳元 */
    AUD = "AUD",
    /** 港币 */
    HKD = "HKD",
    /** 英镑 */
    GBP = "GBP",
    /** 加拿大元 */
    CAD = "CAD",
    /** 新加坡元 */
    SGD = "SGD"
}
/** 获取所有币种Code与名称 */
export declare function currencyCodeNames(): IDName[];
/**
 * 根据币种code获取币种名称
 * @param code 币种code
 * @returns {string} 币种名称
 */
export declare function getCurrencyNameByCode(code?: CurrencyCode): string;
export interface CurrencyInfo {
    /** 币种三位字母代码 */
    code: CurrencyCode;
    /** 币种三位数字代码 */
    value: string;
    /** 币种名称 */
    name: string;
    /** 币种精度 */
    precision: number;
}
