/**
 * @desc 表格配置选项
 * @author 邓欢
 */
import { OperationModel } from '../components/operation';
import { AgGridEvent, ColDef, ColGroupDef, GridOptions } from './ag-grid-model';
import { ColumnDef } from './column';
export interface PagesOrderModel {
    /** 字段名 */
    fieldName: string;
    /** ASC-升序 DSC-降序 */
    direction: '' | 'ASC' | 'DESC' | string;
}
export default interface JXTableOptions {
    /** 列定义 */
    columnDefs: Array<ColumnDef>;
    /** 数据 */
    tableData: Array<any>;
    /** ag-grid表格属性 */
    gridOption?: GridOptions;
    /** 是否显示加载态 */
    isLoading?: boolean;
    /** 容器附加的样式名 */
    wrapClassName?: string;
    /** 操作列表 */
    operations?: Array<OperationModel>;
    /** 标题列帮助信息 */
    operationHelperText?: string;
    /** 用于覆盖操作列定义 */
    extraOperationDefs?: ColDef | ColGroupDef;
    /** 开启本地排序 */
    localSorting?: boolean;
    /** 是否可排序 */
    sortable?: boolean;
    /** 是否可以调整列宽 */
    resizable?: boolean;
    /** 列表渲染完成回调事件 */
    onTableReady?: (event: AgGridEvent) => void;
    /** 点击排序回调事件 */
    onSortChanged?: (sort?: PagesOrderModel) => void;
}
