"use strict";
/**
 * @desc 进度条组件
 * @author denghuan
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Progress = void 0;
const react_1 = __importDefault(require("react"));
const antd_1 = require("antd");
const classnames_1 = __importDefault(require("classnames"));
const styled_components_1 = require("styled-components");
function Progress(props) {
    const { labelDirection = 'horizontal', className, status = 'normal', size = 'default', type = 'line', strokeWidth = type === 'circle' ? 6 : size === 'small' ? 1.5 : 6, width = type === 'circle' ? 80 : undefined, theme, trailColor = theme.input.disabled.bg, strokeColor = type === 'circle'
        ? theme.main
        : size === 'small'
            ? theme.text.tertiary
            : theme.main, ...others } = props;
    return (react_1.default.createElement(antd_1.Progress, { className: classnames_1.default(className, type === 'line' && `ant-progress-${labelDirection}`), status: status, size: size, type: type, strokeWidth: strokeWidth, width: width, trailColor: trailColor, strokeColor: strokeColor, ...others }));
}
exports.Progress = Progress;
exports.default = styled_components_1.withTheme(Progress);
