"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const StyledCircledBoard = styled_components_1.default.div `
  width: 28px;
  height: 28px;
  background-color: transparent;
  display: inline-flex;
  align-items: center;
  justify-content: center;

  .circle {
    animation: loadingCircle 1s infinite linear;
    width: 16px;
    height: 16px;
    background-color: transparent;
    border: 2px solid ${({ theme }) => theme.button.disabled.bg};
    border-radius: 50%;
    position: relative;

    &::after {
      position: absolute;
      width: 50%;
      height: 100%;
      box-sizing: content-box;
      right: -2px;
      top: -2px;
      content: '';
      border-radius: 8px;
      border-top-left-radius: 0;
      border-bottom-left-radius: 0;
      border: 2px solid ${({ theme }) => theme.text.secondary};
      border-left: none;
      background-color: transparent;
    }
  }

  &.circle-board-primary {
    background-color: ${({ theme }) => theme.main};

    .circle {
      border-color: rgba(255, 255, 255, 0.5);
      &::after {
        border-color: white;
      }
    }
  }
`;
function CircledBoard(props) {
    const { className, type = 'normal', ...others } = props;
    return (react_1.default.createElement(StyledCircledBoard, { className: classnames_1.default(`circle-board-${type}`, className), ...others },
        react_1.default.createElement("div", { className: "circle" })));
}
exports.default = CircledBoard;
