"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const menuStyle = styled_components_1.css `
  .ant-menu {
    user-select: none;

    &,
    & .ant-menu {
      background-color: ${({ theme }) => theme.background.menu};
      border-right: none;
      color: ${({ theme }) => theme.menu.primary};

      .ant-menu-item {
        height: 30px;
        line-height: 30px;
        width: 100%;
        transition: none;

        &.ant-menu-item.ant-menu-item {
          margin: 2px 0px 2px 0px;
        }

        &::after {
          border-right: none;
        }

        &:active {
          background-color: initial;
        }

        &:hover {
          color: ${({ theme }) => theme.main};
        }

        &,
        &.ant-menu-item-selected {
          color: white;
        }

        &.ant-menu-item-selected {
          background-image: linear-gradient(
            180deg,
            ${({ theme }) => theme.menu.selected.from} 0%,
            ${({ theme }) => theme.menu.selected.to} 100%
          );
        }
      }
    }

    .ant-menu-submenu {
      &.ant-menu-submenu-selected {
        color: ${({ theme }) => theme.main};
      }

      .ant-menu-submenu-title {
        height: 30px;
        line-height: 30px;
        margin: 2px 0px 2px 0px;

        &,
        &:active {
          background-color: initial;
        }
      }

      .ant-menu-sub {
        .ant-menu-item {
          color: ${({ theme }) => theme.menu.secondary};

          &:hover {
            color: ${({ theme }) => theme.main};
          }

          &.ant-menu-item-selected {
            color: ${({ theme }) => theme.menu.primary};
          }
        }
      }
    }

    .ant-menu-submenu-inline > .ant-menu-submenu-title .ant-menu-submenu-arrow {
      &::before,
      &::after {
        background: ${({ theme }) => theme.menu.secondary};
      }
    }
  }

  .ant-dropdown-menu {
    background-color: ${({ theme }) => theme.select.dropdown};

    .ant-dropdown-menu-item {
      padding: 3px 10px;
      background-color: ${({ theme }) => theme.select.dropdown};
      color: ${({ theme }) => theme.text.secondary};

      &:hover {
        background-color: ${({ theme }) => theme.select.selected};
        color: ${({ theme }) => theme.main};
      }

      .ant-dropdown-menu-item-active {
        background-color: ${({ theme }) => theme.select.selected};
      }

      &.ant-dropdown-menu-item-disabled {
        &,
        &:hover {
          background-color: ${({ theme }) => theme.select.dropdown};
          color: ${({ theme }) => theme.text.tertiary};
        }
      }
    }
  }
`;
const MenuStyle = styled_components_1.createGlobalStyle `${menuStyle}`;
exports.default = MenuStyle;
