"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const tabsStyle = styled_components_1.css `
  .ant-tabs-card {
    .ant-tabs-nav {
      margin: 0;
    }

    .ant-tabs-nav::before {
      border-bottom: none;
    }

    .ant-tabs-nav .ant-tabs-nav-wrap {
      height: 36px;
      background-color: ${({ theme }) => theme.tabs.bg};

      .ant-tabs-nav-list {
        .ant-tabs-tab {
          margin: 0;
          border-radius: 0;
          background-color: ${({ theme }) => theme.tabs.item.bg};
          border: none;
          border-bottom: 1px solid;
          border-color: ${({ theme }) => theme.tabs.border};
          font-size: 14px;
          padding-left: 20px;
          padding-right: 20px;
          transition: none;

          &,
          & .ant-tabs-tab-btn {
            color: ${({ theme }) => theme.text.secondary};
          }

          .ant-tabs-tab-btn {
            transition: none;
          }

          &:not(:first-child) {
            border-left: 1px solid;
            border-color: ${({ theme }) => theme.tabs.border};
          }

          &.ant-tabs-tab-active {
            background-color: ${({ theme }) => theme.tabs.item.active.bg};
            font-size: 16px;
            border-bottom: none;

            &,
            & .ant-tabs-tab-btn {
              color: ${({ theme }) => theme.main};
            }
          }

          .ant-tabs-tab-remove {
            color: ${({ theme }) => theme.text.secondary};
            padding-right: 0px;
          }
        }

        .ant-tabs-nav-add {
          background-color: ${({ theme }) => theme.tabs.item.bg};
          border: none;
          margin-left: 2px;
          color: ${({ theme }) => theme.text.secondary};
          border-top-left-radius: 4px;
          border-top-right-radius: 4px;
        }
      }
    }

    .ant-tabs-nav-operations .ant-tabs-nav-more {
      color: ${({ theme }) => theme.text.secondary};
    }
  }

  .ant-tabs-dropdown .ant-tabs-dropdown-menu {
    background-color: ${({ theme }) => theme.select.dropdown};
    .ant-tabs-dropdown-menu-item {
      color: ${({ theme }) => theme.text.primary};

      &:hover {
        background-color: ${({ theme }) => theme.select.dropdown};
        color: ${({ theme }) => theme.main};
      }
    }
  }
`;
const TabsStyle = styled_components_1.createGlobalStyle `${tabsStyle}`;
exports.default = TabsStyle;
