"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const color_tool_1 = require("../../_utils/color-tool");
const timePickerStyle = styled_components_1.css `
  .ant-picker-time-panel-column {
    > li {
      &.ant-picker-time-panel-cell {
        .ant-picker-time-panel-cell-inner {
          color: ${({ theme }) => theme.text.primary};
          &:hover {
            background-color: ${({ theme }) => color_tool_1.rgba(theme.background.menu, 0.2)};
          }
        }
      }
      &.ant-picker-time-panel-cell-selected {
        .ant-picker-time-panel-cell-inner {
          background-color: ${({ theme }) => theme.button.normal.bg};
        }
      }
    }
    &:not(:first-child) {
      border-color: ${({ theme }) => theme.border.primary};
    }
  }
  .ant-picker-ok {
    .ant-btn {
      height: 22px;
      padding: 0 10px;
      min-width: 40px;
    }
  }
`;
const TimePickerStyle = styled_components_1.createGlobalStyle `${timePickerStyle}`;
exports.default = TimePickerStyle;
