"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const treeStyle = styled_components_1.css `
  .ant-tree {
    background-color: transparent;

    .ant-tree-treenode {
      .ant-tree-switcher {
        color: ${({ theme }) => theme.text.secondary};
      }

      .ant-tree-node-content-wrapper {
        color: ${({ theme }) => theme.text.primary};

        &:hover {
          color: ${({ theme }) => theme.main};
          background-color: transparent;
        }
      }

      &.ant-tree-treenode-disabled {
        .ant-tree-node-content-wrapper {
          color: ${({ theme }) => theme.text.tertiary};
        }
      }
    }

    && .ant-tree-node-selected {
      background-color: initial;
      color: ${({ theme }) => theme.main};
    }

    .ant-tree-checkbox {
      .ant-tree-checkbox-inner {
        border: none;
        background-color: ${({ theme }) => theme.checkbox.bg};

        &:after {
          transition: none;
        }
      }

      &:after {
        border: 1px solid;
        border-color: ${({ theme }) => theme.radio.border};
        position: absolute;
        top: 0px;
        left: 0px;
        width: 100%;
        height: 100%;
        border-radius: 2px;
        content: '';
      }

      &:hover,
      &:active,
      &:focus {
        &:after {
          border-color: ${({ theme }) => theme.main};
        }
      }

      &.ant-tree-checkbox-checked:after {
        border: none;
      }

      &.ant-tree-checkbox-checked .ant-tree-checkbox-inner {
        background-image: linear-gradient(
          180deg,
          ${({ theme }) => theme.gradient.from} 0%,
          ${({ theme }) => theme.gradient.to} 100%
        );

        &:after {
          left: 4px;
          border-color: ${({ theme }) => theme.checkbox.checker};
        }
      }

      &.ant-tree-checkbox-disabled .ant-tree-checkbox-inner {
        background: ${({ theme }) => theme.checkbox.disabled.bg};

        &:after {
          border-color: ${({ theme }) => theme.checkbox.disabled.checker};
        }
      }
    }
  }
`;
const TreeStyle = styled_components_1.createGlobalStyle `${treeStyle}`;
exports.default = TreeStyle;
