"use strict";
/**
 * @desc 默认组件样式
 * @author denghuan
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.THEME_DARK = void 0;
exports.THEME_DARK = {
    meta: {
        name: 'dark',
        desc: '暗色主题',
    },
    config: {
        duration: 0.25,
    },
    main: '#0f9fff',
    background: {
        nav: '#2a303e',
        modal: '#222632',
        menu: '#222632',
        content: {
            primary: '#1b202e',
            secondary: '#141824',
        },
        system: '#141824',
        disabled: '#3f4556',
    },
    border: {
        primary: '#141824',
        secondary: '#29313f',
        tertiary: '#333848',
    },
    text: {
        primary: '#ffffff',
        secondary: '#a2a9b9',
        tertiary: '#6a7e96',
    },
    warning: '#ffad59',
    danger: '#f06565',
    success: '#3acb52',
    button: {
        title: '#ffffff',
        primary: {
            from: '#0f9fff',
            to: '#005bc0',
        },
        danger: {
            from: '#f06565',
            to: '#c73333',
        },
        normal: {
            bg: '#404c5e',
            title: '#ffffff',
        },
        disabled: {
            bg: '#3f4556',
            title: '#6a7e96',
        },
    },
    input: {
        bg: '#1b202e',
        border: '#404c5e',
        placeholder: '#6a7e96',
        disabled: {
            placeholder: '#6a7e96',
            bg: '#3f4556',
        },
    },
    select: {
        border: '#404c5e',
        arrow: '#506277',
        dropdown: '#333848',
        selected: '#2a303e',
        tag: '#404c5e',
    },
    picker: {
        dropdown: '#333848',
    },
    menu: {
        primary: '#ffffff',
        secondary: '#a2a9b9',
        tertiary: '#6a7e96',
        selected: {
            from: '#0f9fff',
            to: '#005bc0',
        },
    },
    template: {
        bg: '#0b0c10',
        content: '#10131c',
        divider: '#363e55cc',
        brand: {
            from: '#0b0c1100',
            to: '#222632',
            title: '#a2a9b9',
        },
    },
    list: {
        odd: '#191d2a',
        even: '#141824',
    },
    gradient: {
        from: '#0f9fff',
        to: '#005bc0',
    },
    radio: {
        border: '#4b596c',
        bg: '#141824',
        disabled: {
            bg: '#222632',
        },
    },
    checkbox: {
        bg: '#141824',
        border: '#4b596c',
        checker: '#ffffff',
        disabled: {
            bg: '#222632',
            checker: '#6a7e96',
        },
    },
    agGrid: {
        border: '#3f4546',
        resizer: '#29313f',
        odd: {
            bg: '#191d2a',
        },
        even: {
            bg: '#141824',
        },
        header: {
            bg: '#3f4556',
        },
        highlight: {
            bg: '#2a303e',
        },
        viewport: {
            bg: '#1c222f',
        },
    },
    tag: {
        weak: {
            bg: '#222632',
        },
    },
    tabs: {
        bg: '#1b202e',
        border: '#141824',
        item: {
            bg: '#222632',
            active: {
                bg: '#141824',
            },
        },
    },
};
